summaryrefslogtreecommitdiffhomepage
path: root/test/runtimes/images/Dockerfile_java11
diff options
context:
space:
mode:
authorNicolas Lacasse <nlacasse@google.com>2019-09-16 17:49:57 -0700
committergVisor bot <gvisor-bot@google.com>2019-09-16 17:51:22 -0700
commit24b7eb2f86633d4b041541aa2921cc467119c1ee (patch)
tree4aa444241667a4f1bbfbeeb65d36c73970ae2d3e /test/runtimes/images/Dockerfile_java11
parent56cb0042181cc4840d8c3995f0970c0c41d4212b (diff)
Refactor and clean up image tests.
* Use multi-stage builds in Dockerfiles. * Combine all proctor binaries into a single binary. * Change the TestRunner interface to reduce code duplication. PiperOrigin-RevId: 269462101
Diffstat (limited to 'test/runtimes/images/Dockerfile_java11')
-rw-r--r--test/runtimes/images/Dockerfile_java1130
1 files changed, 30 insertions, 0 deletions
diff --git a/test/runtimes/images/Dockerfile_java11 b/test/runtimes/images/Dockerfile_java11
new file mode 100644
index 000000000..9b7c3d5a3
--- /dev/null
+++ b/test/runtimes/images/Dockerfile_java11
@@ -0,0 +1,30 @@
+# Compile the proctor binary.
+FROM golang:1.12 AS golang
+ADD ["proctor/", "/go/src/proctor/"]
+RUN ["go", "build", "-o", "/proctor", "/go/src/proctor"]
+
+FROM ubuntu:bionic
+RUN apt-get update && apt-get install -y \
+ autoconf \
+ build-essential \
+ curl \
+ make \
+ openjdk-11-jdk \
+ unzip \
+ zip
+
+# Download the JDK test library.
+WORKDIR /root
+RUN set -ex \
+ && curl -fsSL --retry 10 -o /tmp/jdktests.tar.gz http://hg.openjdk.java.net/jdk/jdk11/archive/76072a077ee1.tar.gz/test \
+ && tar -xzf /tmp/jdktests.tar.gz \
+ && mv jdk11-76072a077ee1/test test \
+ && rm -f /tmp/jdktests.tar.gz
+
+# Install jtreg and add to PATH.
+RUN curl -o jtreg.tar.gz https://ci.adoptopenjdk.net/view/Dependencies/job/jtreg/lastSuccessfulBuild/artifact/jtreg-4.2.0-tip.tar.gz
+RUN tar -xzf jtreg.tar.gz
+ENV PATH="/root/jtreg/bin:$PATH"
+
+COPY --from=golang /proctor /proctor
+ENTRYPOINT ["/proctor", "--runtime=java"]